<div class="wrap">
<a class="nav-tab <?php if(!isset($_GET['sm']) || (isset($_GET['sm']) && $_GET['sm']=='simple')): ?> nav-tab-active<?php endif;?>"
   href="admin.php?page=redi-booking&sm=simple"><?php esc_html_e('Simple settings', 'redi-booking') ?></a>
<a class="nav-tab nav-tab-basic <?php if((isset($_GET['sm']) && $_GET['sm']=='adv')): ?> nav-tab-active<?php endif;?>"
   href="admin.php?page=redi-booking&sm=adv"><?php esc_html_e('Advanced settings', 'redi-booking') ?></a>
<a class="nav-tab <?php if((isset($_GET['sm']) && $_GET['sm']=='cancel')): ?> nav-tab-active<?php endif;?>"
   href="admin.php?page=redi-booking&sm=cancel"><?php esc_html_e('Cancel reservation', 'redi-booking') ?></a>
	<?php if(!isset($_GET['sm']) || (isset($_GET['sm']) && $_GET['sm']=='simple')): ?>
		<div class="redi-admin-right" >

			<div class="postbox">
				<h3><?php esc_html_e('Plugin Info', 'redi-booking') ?></h3>
				<div class="inside">
					<p><?php esc_html_e('Name', 'redi-booking') ?>: Redi Restaurant Booking</p>
					<p><?php esc_html_e('Version', 'redi-booking') ?>: <?php echo $this->version ?></p>
					<p><?php esc_html_e('News', 'redi-booking') ?>: <a target="_blank" href="https://www.facebook.com/ReDiReservation">News</a></p>
					<p><?php esc_html_e('Documentation', 'redi-booking') ?>: <a href="https://drive.google.com/file/d/0B65PsYk8BovNU3h3MXZDT01tckk/view?usp=sharing&resourcekey=0-TCwEd0Iz2-Bl0XWbwm5C-A">Download</a>
                    <p><?php esc_html_e('Support', 'redi-booking') ?>: <a target="_blank"
                                                                                 href="https://reservationdiary-wp-plugin.uservoice.com/clients/widgets/classic_widget?referrer=wordpress-redirestaurant-booking-apikey-<?php echo $this->ApiKey; ?>#contact_us">Create a
                            support ticket</a>
					<p><?php esc_html_e('Email', 'redi-booking') ?>: <a target="_blank" href="mailto:info@reservationdiary.eu">info@reservationdiary.eu</a></p>
                    <p><?php esc_html_e('Skype', 'redi-booking') ?>: thecatkin </p>
                    <p><?php esc_html_e('Phone', 'redi-booking') ?>: +372 56 299 777 (10AM - 10PM UTC) </p>
                    <p><?php esc_html_e('WhatsApp', 'redi-booking') ?>: +372 51 65 285 (10AM - 10PM UTC) </p>
					<p><?php esc_html_e('Author', 'redi-booking') ?>: <a href="https://profiles.wordpress.org/thecatkin/" target="_blank">Catkin</a></p>
				</div>
			</div>
		</div>
	<?php endif ?>
<div class="tab_wrap <?php if(!isset($_GET['sm']) || (isset($_GET['sm']) && $_GET['sm']=='simple') || (isset($_GET['sm']) && $_GET['sm']=='cancel')): ?>redi-admin-left<?php endif ?>">

	<?php if (isset($settings_saved) && $settings_saved): ?>
		<div class="updated" id="message">
			<p>
				<?php esc_html_e('Your settings have been saved!', 'redi-booking') ?>
			</p>
		</div>
	<?php endif ?>
	<?php if ( isset( $cancel_success ) ): ?>
		<div class="updated">
			<p>
				<?php echo $cancel_success; ?>
			</p>
		</div>
	<?php endif; ?>
	<?php if (isset($errors)): ?>
		<?php foreach((array)$errors as $error):?>
		<div class="error">
			<p>
				<?php echo $error; ?>
			</p>
		</div>
		<?php endforeach;?>
	<?php endif ?>
	<?php if(!isset($_GET['sm']) || (isset($_GET['sm']) && $_GET['sm']=='simple')): ?>

	<div class="icon32" id="icon-admin"><br></div>
	<h2><?php esc_html_e('Common settings', 'redi-booking'); ?></h2>
	<form name="redi-restaurant" method="post">
		<table class="form-table" >
			<tr >
				<th scope="row">
					<label for="MinPersons"><?php esc_html_e('Min persons per reservation', 'redi-booking'); ?> </label>
				</th>
				<td>
					<select name="MinPersons" id="MinPersons">
						<?php foreach(range(1, 10) as $current):?>
							<option value="<?php echo $current?>" <?php if($current == $minPersons): ?>selected="selected"<?php endif;?>>
								<?php echo $current ?>
							</option>
						<?php endforeach; ?>
					</select>
				</td>
                <td>
                    <p class="description">
                        <?php esc_html_e('Minimum number of persons allowed for each reservation. Drop down list of persons starts from this number.', 'redi-booking') ?>
                    </p>
				</td>
			</tr>
			<tr >
				<th scope="row">
					<label for="MaxPersons"><?php esc_html_e('Max persons per reservation', 'redi-booking'); ?> </label>
				</th>
				<td>
				<select name="MaxPersons" id="MaxPersons">
					<?php foreach(range(1, 500) as $current):?>
						<option value="<?php echo $current?>" <?php if($current == $maxPersons): ?>selected="selected"<?php endif;?>>
							<?php echo $current ?>
						</option>
					<?php endforeach; ?>
				</select>
				</td>
                <td>
                    <p class="description">
                        <?php esc_html_e('Maximum number of persons allowed for each reservation. Drop down list of persons ends with this number.', 'redi-booking') ?>
                    </p>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="ReservationTime">
						<?php esc_html_e('Reservation time', 'redi-booking'); ?>&nbsp;<span class="redi_required">*</span>
					</label>
				</th>
				<td>
					<input id="ReservationTime" type="text" value="<?php echo esc_html($reservationTime) ?>" name="ReservationTime"/>
				</td>
				<td>
					<p class="description">
						<?php esc_html_e('Duration of reservation in minutes. This is the time allocated for each reservation.', 'redi-booking'); ?>
					</p>
				</td>
			</tr>
		<tr>
        <th scope="row">
				<label for="ManualReservation">
					<?php esc_html_e('Manual reservation', 'redi-booking'); ?>
				</label>
			</td>
			<td>
				<input type="checkbox" name="ManualReservation" id="ManualReservation" value="1" <?php if (isset($manualReservation) && $manualReservation) echo 'checked="checked"' ?>>
			</td>
			<td>
				<p class="description">
					<?php esc_html_e('If checkbox is checked then reservations will not be automatically confirmed. You will receive email with reservation request and each reservation needs to be confirmed or rejected manually.', 'redi-booking'); ?>
					</p>
				</td>
			</tr>
            <tr>
                <th scope="row">
                    <label for="AlternativeTimeStep">
                        <?php esc_html_e('Alternative time step', 'redi-booking'); ?>
                    </label>
                </th>
                <td>
                    <select name="AlternativeTimeStep">
						<option value="5" <?php if ($alternativeTimeStep == 5):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 5);?></option>
						<option value="10" <?php if ($alternativeTimeStep == 10):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 10);?></option>
                        <option value="15" <?php if ($alternativeTimeStep == 15):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 15);?></option>
                        <option value="30" <?php if ($alternativeTimeStep == 30):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 30);?></option>
                        <option value="60" <?php if ($alternativeTimeStep == 60):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 60);?></option>
						<option value="90" <?php if ($alternativeTimeStep == 90):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 90);?></option>
						<option value="120" <?php if ($alternativeTimeStep == 120):?>selected="selected" <?php endif;?>><?php printf(esc_html__('%d min', 'redi-booking'), 120);?></option>
                   </select>
                </td>
                <td>
                    <p class="description">
                        <?php esc_html_e('Displays the available time with time step to the clients. For instance, if one selects 15 min time step, then alternative time will be 10:00, 10:15, 10:30, etc.', 'redi-booking') ?>
                    </p>
                </td>
            </tr>
			<tr>
				<th scope="row">
					<label for="MaxTime">
						<?php esc_html_e('Early Bookings', 'redi-booking'); ?>
					</label>
				</th>
				<td>
					<select name="MaxTime">
						<?php foreach(range(1, 12) as $current):?>
							<option value="<?php echo $current?>" <?php if($current == $maxTime): ?>selected="selected"<?php endif;?>>
								<?php echo $current ?> <?php echo _n( 'Month', 'Months', $current, 'redi-booking' )?>
							</option>
						<?php endforeach; ?>
					</select>
				</td>
                <td>
                    <p class="description">
                        <?php esc_html_e('Maximum time before the reservation can be accepted. It can be anything from 1 month to 1 year.', 'redi-booking') ?>
                    </p>
                </td>
			</tr>
		</table>
		<br/>
		<div class="icon32" id="icon-admin"><br></div>
		<h2><?php esc_html_e('Frontend settings', 'redi-booking'); ?></h2>
		<table class="form-table">
			<tr>
				<th scope="row">
					<label for="LargeGroupsMessage">
						<?php esc_html_e('Message for large groups', 'redi-booking'); ?>
					</label>
				</th>
				<td>
					<textarea maxlength="250" name="LargeGroupsMessage" id="LargeGroupsMessage" rows="5"><?php echo esc_html($largeGroupsMessage) ?></textarea>
				</td>
				<td>
					<p class="description">
						<?php esc_html_e('If this field is filled, the drop down menu of persons would show "Large Groups" and upon selection, the specified message would appear.', 'redi-booking'); ?>
					</p>
				</td>
			</tr>

		</table>

		<!-- custom fields-->
		<div class="icon32" id="icon-edit-comments"><br></div>
		<h2><?php esc_html_e('Custom fields', 'redi-booking'); ?></h2>
        <p class="description">
			<?php esc_html_e('Custom fields are meant to allow users define additional fields for collecting more information from customers. You can choose the name of the field, type of field, the constraint whether it is a required field or not and the error message for the required field.', 'redi-booking') ?><br/>
			<b class="redi-important-note"><?php esc_html_e('NOTE: Name, Email and Phone are required fields of reservation form and do not need to be defined here as custom fields.', 'redi-booking') ?></b>
		</p>

		<table class="form-table">
			<thead>
				<tr>
					<th>
						<label>
							<?php esc_html_e('Field name', 'redi-booking'); ?>
						</label>
					</th>
					<th>
						<label>
							<?php esc_html_e('Field type', 'redi-booking'); ?>
						</label>
					</th>
					<th>
						<label>
							<?php esc_html_e('Is required?', 'redi-booking'); ?>
						</label>
					</th>
					<th>
						<label>
							<?php esc_html_e('Required error message', 'redi-booking'); ?>
						</label>
					</th>
                    <th>

                    </th>
				</tr>
			</thead>

			<?php  for ( $i = 0; $i != REDI_CUSTOM_FIELDS; $i++ ):
				if ( ! isset( $custom_fields[ $i ] ) ) {
					$custom_fields[ $i ] = (object) array(
						'Id'       => 0,
						'Name'     => '',
						'Type'     => 'text',
						'Message'  => '',
						'Required' => false
					);
				}
				$custom_field = $custom_fields[ $i ];
            ?>
            <?php $field_id = ('field_'.$i.'_id');?>

			<tr>
				<td>
                    <input type="hidden" id="<?php echo $field_id;?>" name="<?php echo $field_id;?>" value="<?php  echo $custom_field->Id ?>" />
					<?php $field_name=('field_'.$i.'_name'); ?>
					<input type="text" id="<?php echo $field_name; ?>" name="<?php echo esc_html($field_name); ?>" value="<?php echo $custom_field->Name; ?>"/>
				</td>
				<td>
					<?php $field_type=('field_'.$i.'_type'); ?>
					<select onchange="set_name('<?php echo $field_name; ?>',this.options[this.selectedIndex].value);" class="field_type" name="<?php echo $field_type; ?>" id="<?php echo $field_type; ?>">
						<option value="text" <?php if ($custom_field->Type === 'text'):?>selected="selected"<?php endif?>><?php esc_html_e('Text field', 'redi-booking'); ?></option>
						<option value="checkbox" <?php if ($custom_field->Type === 'checkbox'):?>selected="selected"<?php endif?>><?php esc_html_e('Check box', 'redi-booking'); ?></option>
						<option value="reminder" <?php if ($custom_field->Type === 'reminder'):?>selected="selected"<?php endif?>><?php esc_html_e('Reminder', 'redi-booking'); ?></option>
						<option value="newsletter" <?php if ($custom_field->Type === 'newsletter'):?>selected="selected"<?php endif?>><?php esc_html_e('Newsletter', 'redi-booking'); ?></option>
						<option value="allowsms" <?php if ($custom_field->Type === 'allowsms'):?>selected="selected"<?php endif?>><?php esc_html_e('Allow SMS', 'redi-booking'); ?></option>
						<option value="gdpr" <?php if ($custom_field->Type === 'gdpr'): ?>selected="selected"<?php endif ?>><?php esc_html_e('GDPR', 'redi-booking'); ?></option>
					</select>
				</td>
				<td>
					<?php $field_required=('field_'.$i.'_required'); ?>
					<input type="checkbox" id="<?php echo $field_required; ?>" name="<?php echo $field_required; ?>" <?php if ($custom_field->Required): ?>checked="checked"<?php endif?>>
				</td>
				<td>
					<?php $field_message=('field_'.$i.'_message'); ?>
					<input type="text" id="<?php echo esc_html($field_message);?>" name="<?php echo esc_html($field_message);?>" value="<?php echo esc_html($custom_field->Message) ?>">
				</td>
                <td>
                    <a onclick="jQuery('#<?php echo esc_html($field_name); ?>').val(''); jQuery('#<?php echo $field_message; ?>').val(''); jQuery('#<?php echo $field_type; ?>').val('text'); jQuery('#<?php echo $field_required; ?>').attr('checked', false);">clear</a>
				</td>
			</tr>
			<?php endfor; ?>
		</table>
		<!-- /custom fields-->
		<br/>
                
		<div id="ajaxed">
                    <?php ReDiBooking::ajaxed_admin_page($placeID, $categoryID, $settings_saved); ?>
		</div>
		
		

		<input class="button-primary" id="submit" type="submit" value="<?php esc_html_e( 'Save Changes', 'redi-booking') ?>" name="submit">
	</form>
        <?php elseif((isset($_GET['sm']) && $_GET['sm']=='adv')):?>
            <iframe src="//wp.reservationdiary.eu/<?php echo str_replace( '_', '-', get_locale() )?>/<?php echo $this->ApiKey; ?>/Home" width="100%;"></iframe>
        <?php elseif((isset($_GET['sm']) && $_GET['sm']=='cancel')):?>
        <div id="icon-admin" class="icon32">
            <br>
	</div>
	<h2><?php esc_html_e('Cancel reservation', 'redi-booking'); ?></h2>
	<form id="redi-reservation-cancel" name="redi-reservation-cancel" method="post">
		<input type="hidden" name="action" value="cancel"/>
		<br/>
		<label for="redi-restaurant-cancel-id"><?php esc_html_e('Reservation number', 'redi-booking')?>:<span class="redi_required">*</span></label><br/>
		<input type="text" value="" name="id" id="redi-restaurant-cancel-id"/>
		<br/>
		<label for="redi-restaurant-cancel-reason"><?php esc_html_e('Reason', 'redi-booking')?>:</label><br/>
		<textarea maxlength="250" name="reason" id="redi-restaurant-cancel-reason" rows="5" cols="60"></textarea>
		<br/>
        <br/>
		<input class="button-secondary" type="submit" name="cancelReservation" value="<?php esc_html_e('Cancel reservation', 'redi-booking')?>">
	</form>
	<?php endif ?>
</div>
</div>

<br/>
<br/>
<br/>